Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class Result

    java.lang.Object
      weblogic.security.spi.Result

    public class Result

extends Object

The `Result` class contains the result of calling the `isAccessAllowed` method on an `AccessDecision`. Instances are `ABSTAIN`, `DENY`, and `PERMIT`.

Field Summary
`static Result` | `ABSTAIN` Indicates that the Access Decision can not determine whether the request should be permitted or denied.
`static int` | `ABSTAIN_VALUE` Abstain result enumeration
`static Result` | `DENY` Indicates that the Access Decision has decided that the request should be denied.
`static int` | `DENY_VALUE` Deny result enumeration
`static Result` | `PERMIT` Indicates that the Access Decision has decided that the request should be permitted.
`static int` | `PERMIT_VALUE` Permit result enumeration

Constructor Summary
`protected` | `Result(int value)`

Method Summary
`boolean` | `equals(Object other)`
`int` | `getEnumValue()` Returns the enumeration value for this `Result`
`boolean` | `isAbstain()` Determines if this result indicates an abstain decision
`boolean` | `isDeny()` Determines if this result indicates a deny decision
`boolean` | `isPermit()` Determines if this result indicates a permit decision
`Result` | `narrow()` Converts this Result value to an exact instance of Result and not an instance of any Result derived class, if necessary.
`String` | `toString()` Returns this `Result`, represented as a String.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSTAIN_VALUE

    public static final int ABSTAIN_VALUE

  Abstain result enumeration

  See Also:
    Constant Field Values

### DENY_VALUE

    public static final int DENY_VALUE

  Deny result enumeration

  See Also:
    Constant Field Values

### PERMIT_VALUE

    public static final int PERMIT_VALUE

  Permit result enumeration

  See Also:
    Constant Field Values

### ABSTAIN

    public static final Result ABSTAIN

  Indicates that the Access Decision can not determine whether the request should be permitted or denied. This decision could be the result of the Access Decision not being aware of the requested resource, or being unable to make an explicit decision due to conflicting security policy definitions.

### DENY

    public static final Result DENY

  Indicates that the Access Decision has decided that the request should be denied.

### PERMIT

    public static final Result PERMIT

  Indicates that the Access Decision has decided that the request should be permitted.

Constructor Detail

### Result

    protected Result(int value)

Method Detail

### toString

    public String toString()

  Returns this `Result`, represented as a String.

  Overrides:
    `toString` in class `Object`
  Returns:
    this `Result`, represented as a String.

### getEnumValue

    public int getEnumValue()

  Returns the enumeration value for this `Result`

  Returns:
    the enumeration value for this `Result`

### isAbstain

    public boolean isAbstain()

  Determines if this result indicates an abstain decision

  Returns:
    true, if result indicates an abstain decision; false, otherwise

### isDeny

    public boolean isDeny()

  Determines if this result indicates a deny decision

  Returns:
    true, if result indicates a deny decision; false, otherwise

### isPermit

    public boolean isPermit()

  Determines if this result indicates a permit decision

  Returns:
    true, if result indicates a permit decision; false, otherwise

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### narrow

    public Result narrow()

  Converts this Result value to an exact instance of Result and not an instance of any Result derived class, if necessary. Callers of interfaces that expect Result values to be instances of Result and not instances of any Result derived class can use this method to narrow the instance. For example `AdjudicationProvider` and `AdjudicationProviderV2` can fail if instances of a Result derived class are presented.

  Returns:
    narrowed Result instance, if necessary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD